opensaml::ContentReference Class Reference

SAML-specific signature reference profile. More...

`#include <saml/signature/ContentReference.h>`

Inheritance diagram for opensaml::ContentReference:
[legend]
Collaboration diagram for opensaml::ContentReference:
[legend]

## Public Member Functions

| ContentReference (const SignableObject &signableObject)
| Constructor.
virtual void | createReferences (DSIGSignature *sig)
| Given a "blank" native signature, creates signature reference appropriate for the SAML object being signed.
void | addInclusivePrefix (const XMLCh *prefix)
| Adds a namespace prefix for "inclusive" processing by an Exclusive C14N Transform applied to the object.
void | setDigestAlgorithm (const XMLCh *digest)
| Sets the digest algorithm for the signature reference, using a constant.
void | setCanonicalizationMethod (const XMLCh *c14n)
| Sets the canonicalization method to include in the reference, using a constant.

## Detailed Description

SAML-specific signature reference profile.

## Constructor & Destructor Documentation

## ContentReference()

opensaml::ContentReference::ContentReference | ( | const SignableObject & | signableObject | ) |

Constructor.

Parameters

  signableObject | reference to object being signed

## Member Function Documentation

## addInclusivePrefix()

void opensaml::ContentReference::addInclusivePrefix | ( | const XMLCh * | prefix | ) |

Adds a namespace prefix for "inclusive" processing by an Exclusive C14N Transform applied to the object.

An empty string will be transformed into "#default".

Parameters

  prefix | the prefix to add

## createReferences()

virtual void opensaml::ContentReference::createReferences | ( | DSIGSignature * | sig | ) |

virtual

Given a "blank" native signature, creates signature reference appropriate for the SAML object being signed.

Parameters

  sig | native signature interface

## setCanonicalizationMethod()

void opensaml::ContentReference::setCanonicalizationMethod | ( | const XMLCh * | c14n | ) |

Sets the canonicalization method to include in the reference, using a constant.

Parameters

  c14n | the canonicalization method

## setDigestAlgorithm()

void opensaml::ContentReference::setDigestAlgorithm | ( | const XMLCh * | digest | ) |

Sets the digest algorithm for the signature reference, using a constant.

Parameters

  digest | the digest algorithm

The documentation for this class was generated from the following file:

- saml/signature/ContentReference.h